// File:  FormatNumbers.java
// How to format numbers using NumberFormat and DecimalFormat

import java.text.*;

public class FormatNumbers {

    public static void main(String[] args) {
        double dv1 = 12.3456, dv2 = 0.0156;

        System.out.println("Note that two different conventions are used...");
        System.out.println();
        
        // demonstrate use of 'NumberFormat'
        NumberFormat money = NumberFormat.getCurrencyInstance();
        NumberFormat percent = NumberFormat.getPercentInstance();
        System.out.println("Currency: " + money.format(dv1));
        System.out.println("Percent:  " + percent.format(dv2));

        // demonstrate use of 'DecimalFormat'
        DecimalFormat decFmt = new DecimalFormat("0.###");
        System.out.println("Decimal:  " + decFmt.format(dv1));
        System.out.println("Decimal:  " + decFmt.format(dv2));
    }

}

/*  Output from the program ...
Note that two different conventions are used...

Currency: $12.35
Percent:  2%
Decimal:  12.346
Decimal:  0.016

... End of Output ... */

